org.jgroups.blocks

## Class DistributedLockManager.LockDecree

- java.lang.Object
- - org.jgroups.blocks.DistributedLockManager.LockDecree

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  DistributedLockManager.AcquireLockDecree, DistributedLockManager.MultiLockDecree, DistributedLockManager.ReleaseLockDecree

Enclosing class:
  DistributedLockManager

    public static class DistributedLockManager.LockDecree
    extends java.lang.Object
    implements java.io.Serializable

This class represents the lock

See Also:
  Serialized Form

### Field Summary

Fields
`protected boolean` `commited`
`protected java.lang.Object` `lockId`
`protected java.lang.Object` `managerId`
`protected java.lang.Object` `requester`

### Method Summary

Methods
`void` `commit()`
`boolean` `equals(java.lang.Object other)`
`java.lang.Object` `getKey()` Returns the key that should be used for Map lookup.
`java.lang.Object` `getRequester()`
`int` `hashCode()` This is hashcode from the java.lang.Long class.
`boolean` `isMultipleLocked()`
`boolean` `isValid()` This is a place-holder for future lock expiration code.
`void` `setMultipleLocked(boolean multipleLocked)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### lockId

    protected final java.lang.Object lockId

#### requester

    protected final java.lang.Object requester

#### managerId

    protected final java.lang.Object managerId

#### commited

    protected boolean commited

### Method Detail

#### getKey

    public java.lang.Object getKey()

Returns the key that should be used for Map lookup.

#### getRequester

    public java.lang.Object getRequester()

#### isValid

    public boolean isValid()

This is a place-holder for future lock expiration code.

#### commit

    public void commit()

#### isMultipleLocked

    public boolean isMultipleLocked()

Returns:
  Returns the multipleLocked.

#### setMultipleLocked

    public void setMultipleLocked(boolean multipleLocked)

Parameters:
  `multipleLocked` - The multipleLocked to set.

#### hashCode

    public int hashCode()

This is hashcode from the java.lang.Long class.

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object other)

Overrides:
  `equals` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`